Description

Currently, the settings page allows to set the Application Title. However, if one want's to put the Logo or any graphic - one needs to

modify the code. Either application.css or files in layout.

I think the Admin setting's page should allow to select/upload the image and set the size so that without modifying the code.

If one doesn't specify the graphic, the behavior can be same as current.

History

#1 - 2013-03-19 22:20 - Daniel Felix

Hm, well... You just can add a theme with nothing more than your changed CSS rule regarding the header logo. Everything else would be inherited

from the default layout.

I see a problem, if your selecting a image and define a image width, there will be some problems, regarding the menus and other parts of the layout,

as the logo image could overlap with other parts of redmine.

This could be a problem.

#2 - 2013-03-20 03:59 - Dipan Mehta

Changing theme in application.css is not right because when we use multiple themes -same needs to be repeated in every theme.

I have followed this wiki page HowTo add a logo to your Redmine banner but usually for many people they won't change the code even if it is not

messy.

I still had to go through tinkering to get size and alignment right - which makes it very messy.

#3 - 2013-03-20 18:42 - Daniel Felix

Dipan Mehta wrote:

Changing theme in application.css is not right because when we use multiple themes -same needs to be repeated in every theme.

 Well, this repeated tasks could be solved by the @import rule. Maybe this would help.

But your right, some kind of image upload could be helpful. But I won't see this as a high priority task. :-)
